Package org.drinkless.tdlib

# Class TdApi.AnswerInlineQuery

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.AnswerInlineQuery

Enclosing class:
  `TdApi`

public static class TdApi.AnswerInlineQuery extends TdApi.Function<TdApi.Ok>
Sets the result of an inline query; for bots only.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.InlineQueryResultsButton`
  `button`
  Button to be shown above inline query results; pass null if none.
  `int`
  `cacheTime`
  Allowed time to cache the results of the query, in seconds.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `inlineQueryId`
  Identifier of the inline query.
  `boolean`
  `isPersonal`
  Pass true if results may be cached and returned only for the user who sent the query.
  `String`
  `nextOffset`
  Offset for the next inline query; pass an empty string if there are no more results.
  `TdApi.InputInlineQueryResult[]`
  `results`
  The results of the query.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnswerInlineQuery()`
  Default constructor for a function, which sets the result of an inline query; for bots only.
  `AnswerInlineQuery(long inlineQueryId, boolean isPersonal, TdApi.InlineQueryResultsButton button, TdApi.InputInlineQueryResult[] results, int cacheTime, String nextOffset)`
  Creates a function, which sets the result of an inline query; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### inlineQueryId

    public long inlineQueryId
    Identifier of the inline query.

  - ### isPersonal

    public boolean isPersonal
    Pass true if results may be cached and returned only for the user who sent the query. By default, results may be returned to any user who sends the same query.

  - ### button

    public TdApi.InlineQueryResultsButton button
    Button to be shown above inline query results; pass null if none.

  - ### results

    public TdApi.InputInlineQueryResult[] results
    The results of the query.

  - ### cacheTime

    public int cacheTime
    Allowed time to cache the results of the query, in seconds.

  - ### nextOffset

    public String nextOffset
    Offset for the next inline query; pass an empty string if there are no more results.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AnswerInlineQuery

    public AnswerInlineQuery()
    Default constructor for a function, which sets the result of an inline query; for bots only.

    Returns `Ok`

  - ### AnswerInlineQuery

    public AnswerInlineQuery(long inlineQueryId, boolean isPersonal, TdApi.InlineQueryResultsButton button, TdApi.InputInlineQueryResult[] results, int cacheTime, String nextOffset)
    Creates a function, which sets the result of an inline query; for bots only.

    Returns `Ok`

    Parameters:
      `inlineQueryId` - Identifier of the inline query.
      `isPersonal` - Pass true if results may be cached and returned only for the user who sent the query. By default, results may be returned to any user who sends the same query.
      `button` - Button to be shown above inline query results; pass null if none.
      `results` - The results of the query.
      `cacheTime` - Allowed time to cache the results of the query, in seconds.
      `nextOffset` - Offset for the next inline query; pass an empty string if there are no more results.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR